Knowledge Drop

Error starting Looker: Java::JavaLang::ArrayIndexOutOfBoundsException

  • 15 June 2021
  • 0 replies
  • 23 views

Userlevel 2

Last tested: Mar 28, 2019
 

The Error

When trying to start up a self-hosted Looker after an update, the following error is shown:

2019-03-26 16:18:14.441 -0400 [ERROR|007d0|db:looker] :: Java::JavaLang::ArrayIndexOutOfBoundsException: 5: SELECT * FROM `setting` WHERE (`key` = 'license_key') LIMIT 1

2019-03-26 16:18:14.444 -0400 [ERROR|007d0|main] :: Error starting Looker: Java::JavaLang::ArrayIndexOutOfBoundsException: 5

2019-03-26 16:18:14.490 -0400 [WARN|007d0|ruby:stderr] ::

 

Possible Solutions

Update backend mysql

MySQL 5.6 doesn't work as of for a commit we've implemented, you need to upgrade it to 5.7.

(MARIADB) turn off query_cache_type

Looker changed the Mariadb driver to connect to the internal database starting in version 6.4. A similar error is cited here. After checking output of user's show variables & comparing it to ours in master , we noticed that:

THEIRS OURS

query_cache_type ON query_cache_type OFF

 

So in some cases after changing that setting on the Mysql DB side to match ours, it worked!

 

This content is subject to limited support.                

 

 

 


0 replies

Be the first to reply!

Reply